PS_DELETE(3)

NAME
PS_delete — Deletes all resources of a PostScript document

SYNOPSIS

#include <pslib.h>

void PS_delete(PSDoc *psdoc)

DESCRIPTION

Mainly frees memory used by the document. Also closes a file, if it was not closed before with PS_close(3). You should in any case close the file with PS_close(3) before, because PS_close(3) not just closes the file but also outputs a last line containing the PostScript comment with the number of pages in the document. Without this comment, a PostScript viewer may not show the number of pages propperly.

SEE ALSO

PS_close(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.